# Asterisk Project : Asterisk 13 Function_FIELDQTY

Created by wikibot on Aug 08, 2014

# FIELDQTY()

### Synopsis

Count the fields with an arbitrary delimiter

### Description

The delimiter may be specified as a special or extended ASCII character, by encoding it. The characters `\n`, `\r`, and `\t` are all recognized as the newline, carriage return, and tab characters, respectively. Also, octal and hexadecimal specifications are recognized by the patterns `\0nnn` and `\xHH`, respectively. For example, if you wanted to encode a comma as the delimiter, you could use either `\054` or `\x2C`.

Example: If ${example} contains `ex-amp-le`, then ${FIELDQTY(example,-)} returns 3.

### Syntax

    FIELDQTY(varname,delim)

##### Arguments

- `varname`
- `delim`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538